package com.usky.rule.vo.log;

public class Control {
    private String identifier;
    private String name;
    private Integer delaySeconds;
    private String value;
    private String valueDesc;

    public Control() {
    }

    public String getIdentifier() {
        return this.identifier;
    }

    public String getName() {
        return this.name;
    }

    public Integer getDelaySeconds() {
        return this.delaySeconds;
    }

    public String getValue() {
        return this.value;
    }

    public String getValueDesc() {
        return this.valueDesc;
    }

    public void setIdentifier(final String identifier) {
        this.identifier = identifier;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setDelaySeconds(final Integer delaySeconds) {
        this.delaySeconds = delaySeconds;
    }

    public void setValue(final String value) {
        this.value = value;
    }

    public void setValueDesc(final String valueDesc) {
        this.valueDesc = valueDesc;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof Control)) {
            return false;
        } else {
            Control other = (Control)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$delaySeconds = this.getDelaySeconds();
                Object other$delaySeconds = other.getDelaySeconds();
                if (this$delaySeconds == null) {
                    if (other$delaySeconds != null) {
                        return false;
                    }
                } else if (!this$delaySeconds.equals(other$delaySeconds)) {
                    return false;
                }

                Object this$identifier = this.getIdentifier();
                Object other$identifier = other.getIdentifier();
                if (this$identifier == null) {
                    if (other$identifier != null) {
                        return false;
                    }
                } else if (!this$identifier.equals(other$identifier)) {
                    return false;
                }

                Object this$name = this.getName();
                Object other$name = other.getName();
                if (this$name == null) {
                    if (other$name != null) {
                        return false;
                    }
                } else if (!this$name.equals(other$name)) {
                    return false;
                }

                Object this$value = this.getValue();
                Object other$value = other.getValue();
                if (this$value == null) {
                    if (other$value != null) {
                        return false;
                    }
                } else if (!this$value.equals(other$value)) {
                    return false;
                }

                Object this$valueDesc = this.getValueDesc();
                Object other$valueDesc = other.getValueDesc();
                if (this$valueDesc == null) {
                    if (other$valueDesc != null) {
                        return false;
                    }
                } else if (!this$valueDesc.equals(other$valueDesc)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof Control;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $delaySeconds = this.getDelaySeconds();
        result = result * 59 + ($delaySeconds == null ? 43 : $delaySeconds.hashCode());
        Object $identifier = this.getIdentifier();
        result = result * 59 + ($identifier == null ? 43 : $identifier.hashCode());
        Object $name = this.getName();
        result = result * 59 + ($name == null ? 43 : $name.hashCode());
        Object $value = this.getValue();
        result = result * 59 + ($value == null ? 43 : $value.hashCode());
        Object $valueDesc = this.getValueDesc();
        result = result * 59 + ($valueDesc == null ? 43 : $valueDesc.hashCode());
        return result;
    }

    public String toString() {
        return "Control(identifier=" + this.getIdentifier() + ", name=" + this.getName() + ", delaySeconds=" + this.getDelaySeconds() + ", value=" + this.getValue() + ", valueDesc=" + this.getValueDesc() + ")";
    }
}
